### Method

# Camel StoreDB get_folder_id

since: 3.58

#### Declaration [src]

    guint32
    camel_store_db_get_folder_id (
      CamelStoreDB* self,
      const gchar* folder_name
    )

#### Description [src]

Gets ID of a folder named `folder_name`.

Available since: 3.58

#### Parameters

`folder_name`

  Type: `const gchar*`

  A folder name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `guint32`

ID of a folder named `folder_name`, 0 when not found.